Bug 432714 - perl-Test-AutoBuild misses Requires: perl(Class::MethodMaker)
perl-Test-AutoBuild misses Requires: perl(Class::MethodMaker)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Test-AutoBuild (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 18:18 EST by Till Maas
Modified: 2009-08-07 01:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.2-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 00:58:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-02-13 18:18:47 EST
Description of problem:
After I installed perl-Test-AutoBuild I got the following error:
Can't locate Class/MethodMaker.pm in @INC

Version-Release number of selected component (if applicable):
1.2.2-1.fc8

How reproducible:
always

Steps to Reproduce:
1. yum remove  perl-Class-MethodMaker 
2. yum install perl-Test-AutoBuild
3. auto-build
  
Actual results:
Error message:
Can't locate Class/MethodMaker.pm in @IN

Expected results:
not this error message.

Additional info:

Installing perl-Class-MethodMaker makes the error go away,
Requires: perl(Class::MethodMaker)
should be added to the specfile.
Comment 1 Bug Zapper 2008-11-26 04:48:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Till Maas 2008-12-08 02:24:49 EST
perl-Test-AutoBuild-1.2.2-6.fc10

Still an issue in F10 and MethodMaker is also still used in perl-Test-AutoBuild. I assume that F9 is affected, too.
Comment 3 Daniel Berrange 2009-07-22 16:13:47 EDT
Fix built in 1.2.2-7.fc10
Comment 4 Fedora Update System 2009-07-22 16:14:49 EDT
perl-Test-AutoBuild-1.2.2-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Test-AutoBuild-1.2.2-7.fc10
Comment 5 Fedora Update System 2009-07-22 16:15:21 EDT
perl-Test-AutoBuild-1.2.2-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Test-AutoBuild-1.2.2-8.fc11
Comment 6 Fedora Update System 2009-07-23 15:00:22 EDT
perl-Test-AutoBuild-1.2.2-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-AutoBuild'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7931
Comment 7 Fedora Update System 2009-07-23 15:15:09 EDT
perl-Test-AutoBuild-1.2.2-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-AutoBuild'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7971
Comment 8 Fedora Update System 2009-08-07 00:58:22 EDT
perl-Test-AutoBuild-1.2.2-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-08-07 01:08:39 EDT
perl-Test-AutoBuild-1.2.2-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.